Unity 5.0.1f1 doesn't detect Windows 8.1 64-bit

In the build and run settings in Unity, the Windows Store and Phone 8 build are both disabled with the warning “You have to use Windows 8 or greater for this build”. I have Windows 8.1 with Windows updates enabled. Yesterday I did a full uninstall of 5.0.1 to install the latest f1 and both versions showed this message. Any suggestions? Thanks!

Double check the compatibility settings on your shortcut. Even after the uninstall/reinstall the old shortcut settings may have been used.

Double check the compatibility settings on your shortcut. Even after the uninstall/reinstall the old shortcut settings may have been used.